Subject: Re: [RFC/PATCH] git-completion.bash: remove bashism to fix ZSH compatibility

From: Manlio Perillo <[email-masked]>
Date: Mon, 11 Mar 2013 18:09:08 +0100

Il 11/03/2013 17:17, Junio C Hamano ha scritto:
> Matthieu Moy <[email-masked]> writes:
> 
>> The function-wide redirection used for __git_ls_files_helper and
>> __git_diff_index_helper work only with bash. Using ZSH, trying to
>> complete an inexistant directory gave this:
>>
>>   git add no-such-dir/__git_ls_files_helper:cd:2: no such file or directory: no-such-dir/
>>
>> Signed-off-by: Matthieu Moy <[email-masked]>
>> ---
> 
> This is not bash-ism but POSIX.1, even though it is not very well
> known.  I recall commenting on this exact pattern during the review.
> 

Yes, I was plainning to send another patch to fix this (and your other
suggestion regarding the CDPATH environment variable, if I remember
correctly), but I was busy with other things; sorry.

> [...]

Regards  Manlio